Page MenuHomeFreeBSD

textproc/rubygem-terminal-table: Add rubygem-unicode-display_width to RUN_DEPENDS
ClosedPublic

Authored by dumbbell on Jan 12 2017, 5:42 PM.

Details

Summary

It looks like this gem now depends on unicode-display_width at runtime.

I noticed it when sysutils/rubygem-bosh_cli broke after several gems were updated.

I patched the gemspec to make the version requirement on unicode-display_width less strict, after seeing what was done in other gem ports.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6729
Build 6946: arc lint + arc unit

Event Timeline

dumbbell retitled this revision from to textproc/rubygem-terminal-table: Add rubygem-unicode-display_width to RUN_DEPENDS.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: Ruby, antoine, bapt.
dumbbell updated this object.
antoine requested changes to this revision.Jan 12 2017, 6:10 PM
antoine edited edge metadata.
antoine added inline comments.
textproc/rubygem-terminal-table/Makefile
6

PORTREVISION has to be bumped to 1 as the package changes

textproc/rubygem-terminal-table/files/patch-terminal-table.gemspec
8

I believe this patch is not necessary.
The ports tree has version 1.1.2 which satisfies ~> 1.1.1
(~> 1.1.1 means >= 1.1.1 and < 1.2.0)

This revision now requires changes to proceed.Jan 12 2017, 6:10 PM
dumbbell edited edge metadata.

Bump PORTREVISION + do not patch gemspec

antoine edited edge metadata.

looks fine!

This revision is now accepted and ready to land.Jan 12 2017, 6:32 PM
This revision was automatically updated to reflect the committed changes.